/**********************************************************************
 *  UserDAO.java:
 **********************************************************************
 ********** author: Karan *********************************************
 **********************************************************************
 **********************************************************************/

package my.dao;

import my.hbvo.*;
import java.util.*;

public interface UserDAO
{     
    // UserManagementAction
    public boolean insertUser(User user) throws InfrastructureException;
    
    // UserManagementAction
    public boolean updateUser(User user) throws InfrastructureException;
    
    // UserManagementAction
    public boolean deleteUser(Long id) throws InfrastructureException; 
    
    // UserManagementAction
    public User getUser(Long id) throws InfrastructureException;
    
    // MainAction
    public User getUser(String name) throws InfrastructureException;
    
    // Main Action
    public List getAllUsers() throws InfrastructureException;
}
